## org.apache.commons.math.complex
Class ComplexUtils

    java.lang.Object
      org.apache.commons.math.complex.ComplexUtils

    public class ComplexUtils

extends java.lang.Object

Static implementations of common `Complex` utilities functions.

Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Constructor Summary
`private` `ComplexUtils()` Default constructor.

Method Summary
`static Complex` `polar2Complex(double r, double theta)` Creates a complex number from the given polar representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexUtils

    private ComplexUtils()

  Default constructor.

Method Detail

### polar2Complex

    public static Complex polar2Complex(double r,
                                        double theta)

  Creates a complex number from the given polar representation.

  The value returned is `r·ei·theta`, computed as `r·cos(theta) + r·sin(theta)i`

  If either `r` or `theta` is NaN, or `theta` is infinite, `Complex.NaN` is returned.

  If `r` is infinite and `theta` is finite, infinite or NaN values may be returned in parts of the result, following the rules for double arithmetic.

       Examples:

       polar2Complex(INFINITY, π/4) = INFINITY + INFINITY i
       polar2Complex(INFINITY, 0) = INFINITY + NaN i
       polar2Complex(INFINITY, -π/4) = INFINITY - INFINITY i
       polar2Complex(INFINITY, 5π/4) = -INFINITY - INFINITY i

  Parameters:
    `r` - the modulus of the complex number to create
    `theta` - the argument of the complex number to create
  Returns:
    `r·ei·theta`
  Throws:
    `java.lang.IllegalArgumentException` - if r is negative
  Since:
    1.1

Copyright (c) 2003-2010 Apache Software Foundation